import 'package:flyinsono/views/wechat_mini_program/wx_consultation_room/controller.dart';
import 'package:get/get.dart';

class WxConsultationRoomState {
  final _othersMemberList = <ConsultationMemberModel>[].obs;
  final Rx<ConsultationMemberModel> _currUser =
      Rx(ConsultationMemberModel.empty());
  final Rx<ConsultationMemberModel> _currDevice =
      Rx(ConsultationMemberModel.empty());

  // 会诊间其他用户列表
  List<ConsultationMemberModel> get othersMemberList => _othersMemberList;
  set othersMemberList(List<ConsultationMemberModel> value) =>
      _othersMemberList.value = value;

  // 当前用户
  ConsultationMemberModel get currUser => _currUser.value;
  set currUser(ConsultationMemberModel value) => _currUser.value = value;

  // 当前超声设备
  ConsultationMemberModel get currDevice => _currDevice.value;
  set currDevice(ConsultationMemberModel value) => _currDevice.value = value;
}
